Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v1
Interface PortletXtra3

All Known Implementing Classes:
  DefaultPortlet

public interface PortletXtra3
extends PortletXtra2

Extension (#3) to the Portlet interface. The first extension was (mis)named `MobilePortlet`. The second extension does not exist in this release of the JPDK. This is called extension 3 so it's contents are compatible with extension 3 in the 9.0.2 release

So as to not break existing portlets new meta data is added to interfaces that subclass the previous.

Method Summary
`PortletContainerRenderer` | `getContainerRenderer()` Returns the controller that will render this portlet's container.
`int` | `getMinEditAuthLevel()` Returns the minimum user authentication level required for the customize link to be displayed in the portlet header If the authentication level of a user is less than the minimum authentication level specified, the customize link will not be displayed in the portlet header.

Methods inherited from interface oracle.portal.provider.v1.PortletXtra2
`getMobileFlags, getShortTitle, hasShowLink`

Methods inherited from interface oracle.portal.provider.v1.MobilePortlet
`callGetPortlet, callIsRunnable, hasShowLinkMode`

Methods inherited from interface oracle.portal.provider.v1.Portlet
`getAcceptContentTypes, getDefaultLocale, getDescription, getId, getInputParameters, getName, getPersonalizationManager, getProvider, getRenderer, getResourceBundle, getSecurityManager, getShowEditToPublic, getTimeout, getTimeoutMessage, getTitle, hasAbout, hasHelp, hasShowDetails, hasShowEdit, hasShowEditDefault, hasShowPreview, init`

Method Detail

### getMinEditAuthLevel

    public int getMinEditAuthLevel()

  Returns the minimum user authentication level required for the customize link to be displayed in the portlet header If the authentication level of a user is less than the minimum authentication level specified, the customize link will not be displayed in the portlet header.
  Returns:
    the Portlet's short title.

### getContainerRenderer

    public PortletContainerRenderer getContainerRenderer()

  Returns the controller that will render this portlet's container. The container renderer is responsible for rendering the portlet container in each of the show modes the portlet supports
  Returns:
    the portlet container renderer or null if this portlet does not have a container renderer

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD